Zabbix proxy



  • After the update does not work packages Zabbix Proxy.

    /var/log/zabbix-proxy/zabbix_proxy.log

    Starting Zabbix Proxy (active) [zabbix_cnb]. Zabbix 3.0.7 (revision 64609). 
    **** Enabled features ****       
    SNMP monitoring: YES       
    IPMI monitoring: YES       
    Web monitoring: YES       
    VMware monitoring: YES       
    ODBC: YES         
    SSH2 support: YES       
    IPv6 support: YES       
    TLS support: YES       
    **************************         
    using configuration file: /usr/local/etc/zabbix30/zabbix_proxy.conf       
    current database version (mandatory/optional): 03000000/03000000     
    required mandatory version: 3000000       
    proxy #0 started [main process]     
    proxy #1 started [configuration syncer #1]     
    proxy #2 started [heartbeat sender #1]     
    proxy #3 started [data sender #1]     
    proxy #4 started [poller #1]     
    proxy #5 started [poller #2]     
    proxy #7 started [poller #4]     
    proxy #8 started [poller #5]     
    proxy #6 started [poller #3]     
    proxy #9 started [unreachable poller #1]     
    proxy #10 started [icmp pinger #1]     
    proxy #11 started [housekeeper #1]     
    proxy #17 started [history syncer #4]     
    proxy #15 started [history syncer #2]     
    proxy #13 started [discoverer #1]     
    proxy #12 started [http poller #1]     
    proxy #14 started [history syncer #1]     
    proxy #18 started [self-monitoring #1]     
    proxy #16 started [history syncer #3]     
    received configuration data from server at 192.168.10.246, datalen 15466 
    failed to update local proxy configuration copy: invalid field name items.jmx_endpoint

    Zabbix server - ver. 3.4.1


  • Banned

    You cannot have server 3.4.1 and proxy 3.0.7, you need to upgrade both.

    
    Starting Zabbix Proxy (active) [zabbix_cnb]. Zabbix 3.0.7 (revision 64609).   
    
    


  • Previously packeg worked.

    for memoriz )) , this version with long-term support.


  • Banned

    As said above, you need to upgrade BOTH packages. There's nothing to argue here, simply do it. The versions MUST match.



  • Available Packages
    Zabbix Proxy 2.2
    Zabbix Proxy 3.2
    :o

    Installed. The error is the same.

    Starting Zabbix Proxy (active) [zabbix_cnb]. Zabbix 3.2.3 (revision 64610). 
    **** Enabled features ****       
    SNMP monitoring: YES       
    IPMI monitoring: YES       
    Web monitoring: YES       
    VMware monitoring: YES       
    ODBC: YES         
    SSH2 support: YES       
    IPv6 support: YES       
    TLS support: YES       
    **************************         
    using configuration file: /usr/local/etc/zabbix32/zabbix_proxy.conf       
    current database version (mandatory/optional): 03020000/03020000     
    required mandatory version: 3020000       
    proxy #0 started [main process]     
    proxy #1 started [configuration syncer #1]     
    proxy #3 started [data sender #1]     
    proxy #5 started [poller #2]     
    proxy #7 started [poller #4]     
    proxy #9 started [unreachable poller #1]     
    proxy #10 started [icmp pinger #1]     
    proxy #4 started [poller #1]     
    proxy #8 started [poller #5]     
    proxy #2 started [heartbeat sender #1]     
    proxy #6 started [poller #3]     
    proxy #11 started [housekeeper #1]     
    proxy #12 started [http poller #1]     
    proxy #13 started [discoverer #1]     
    proxy #14 started [history syncer #1]     
    proxy #16 started [history syncer #3]     
    proxy #18 started [self-monitoring #1]     
    proxy #15 started [history syncer #2]     
    proxy #17 started [history syncer #4]     
    received configuration data from server at 192.168.10.246, datalen 15466 
    failed to update local proxy configuration copy: invalid field name items.jmx_endpoint

    Zabbix server 3.4.3



  • Have you tried Zabbix Proxy 3.4?



  • No available.




  • Hmm, it's missing Zabbix 3.4 from 2.3.4 release.
    Are you running this version, right?

    http://files01.netgate.com/pfSense_v2_3_4_i386-pfSense_v2_3_4/All/
    pfSense-pkg-zabbix-agent-1.0.0.txz                 17-Oct-2017 11:09                9576
    pfSense-pkg-zabbix-agent22-1.0.0.txz               18-Oct-2017 15:25                9584
    pfSense-pkg-zabbix-agent32-1.0.0.txz               18-Oct-2017 15:25                9584
    pfSense-pkg-zabbix-proxy-1.0.0.txz                 17-Oct-2017 11:11                9632
    pfSense-pkg-zabbix-proxy22-1.0.0.txz               18-Oct-2017 15:26                9644
    pfSense-pkg-zabbix-proxy32-1.0.0.txz               18-Oct-2017 15:26                9636
    
    http://files01.netgate.com/pfSense_v2_3_4_amd64-pfSense_v2_3_4/All/
    pfSense-pkg-zabbix-agent-1.0.0.txz                 17-Oct-2017 11:05                9576
    pfSense-pkg-zabbix-agent22-1.0.0.txz               18-Oct-2017 15:23                9572
    pfSense-pkg-zabbix-agent32-1.0.0.txz               18-Oct-2017 15:23                9580
    pfSense-pkg-zabbix-proxy-1.0.0.txz                 17-Oct-2017 11:08                9640
    pfSense-pkg-zabbix-proxy22-1.0.0.txz               18-Oct-2017 15:24                9644
    pfSense-pkg-zabbix-proxy32-1.0.0.txz               18-Oct-2017 15:24                9644
    
    http://files01.netgate.com/pfSense_v2_4_0_amd64-pfSense_v2_4_0/All/
    pfSense-pkg-zabbix-agent-1.0.0.txz                 17-Oct-2017 11:05                9576
    pfSense-pkg-zabbix-agent22-1.0.0.txz               18-Oct-2017 15:24                9576
    pfSense-pkg-zabbix-agent32-1.0.0.txz               18-Oct-2017 15:24                9584
    pfSense-pkg-zabbix-agent34-1.0.0.txz               18-Oct-2017 15:24                9588
    pfSense-pkg-zabbix-proxy-1.0.0.txz                 17-Oct-2017 11:08                9640
    pfSense-pkg-zabbix-proxy22-1.0.0.txz               18-Oct-2017 15:25                9648
    pfSense-pkg-zabbix-proxy32-1.0.0.txz               18-Oct-2017 15:25                9648
    pfSense-pkg-zabbix-proxy34-1.0.0.txz               18-Oct-2017 15:25                9652
    

    This should be fixed soon, you need to wait a little while or update your system.



  • Version 2.3.4-RELEASE-p1 (i386)
    built on Fri Jul 14 14:53:03 CDT 2017
    FreeBSD 10.3-RELEASE-p19

    The system is on the latest version.



  • I meant update to 2.4.0 but you are using 2.3.4 i386.



  • For pfsene 2.3.4 there is Zabbix Proxy 3.4?



  • @smils:

    For pfsene 2.3.4 there is Zabbix Proxy 3.4?

    No, only in 2.3.5-DEVEL for now.

    System / Update / Update Settings
    Please select the stable, or the development branch from which to update the system firmware. 
    Use of the development version is at your own risk!
    

Log in to reply